petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMForestGetAdjacencyDimension

Get the dimension of interface points that determine cell adjacency (for the purposes of partitioning and overlap).

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestGetAdjacencyDimension(DM dm, PetscInt *adjDim)

Not collective Many br

### Input Parameter

dm -the forest Many br

### Output Parameter

adjDim -default 0 (i.e., vertices determine adjacency) Many br

Many br

### See Also

DMForestSetAdjacencyDimension(), DMForestGetAdjacencyCodimension(), DMForestSetPartitionOverlap()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages